<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  layout:decorate="~{layouts/application.html}">

<head>
  <title>Articles</title>
</head>
<section layout:fragment="content">
  <!-- BEGIN -->
  <table class="table">
    <thead>
    <th>ID</th>
    <th>Название</th>
    </thead>
    <tbody>
    <tr th:each="article : ${articles}" th:object="${article}">
      <td th:text="*{id}"></td>
      <td>
        <a th:text="*{title}" th:href="@{/articles/{id}(id=*{id})}"></a>
      </td>
    </tr>
  </table>
  <nav>
    <ul class="pagination justify-content-center">
      <li class="page-item">
        <a class="page-link" th:href="@{'?page=' + ${page - 1}}">Prev</a>
      </li>
      <li class="page-item">
        <a class="page-link" th:href="@{'?page=' + ${page + 1}}">Next</a>
      </li>
    </ul>
  </nav>
  <!-- END -->
</section>
